Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.manager
Class HarvestRepository.Record

    java.lang.Object
      org.deegree.ogcwebservices.csw.manager.HarvestRepository.Record

Enclosing class:
  HarvestRepository

    public class HarvestRepository.Record

extends Object

Version:
  $Revision: 19482 $, $Date: 2009-09-03 10:06:22 +0200 (Do, 03. Sep 2009) $
Author:
  Andreas Poth, last edited by: $Author: lbuesching $

Constructor Summary
`HarvestRepository.Record(int sourceId, Date datestamp, String fileIdentifier, URI source)`

Method Summary
`Date` | `getDatestamp()`
`String` | `getFileIdentifier()`
`URI` | `getSource()`
`int` | `getSourceId()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HarvestRepository.Record

    public HarvestRepository.Record(int sourceId,
                                    Date datestamp,
                                    String fileIdentifier,
                                    URI source)

Parameters:
  `sourceId` -
  `datestamp` -
  `fileIdentifier` -
  `source` -

Method Detail

### getDatestamp

    public Date getDatestamp()

  Returns:
    datestamp

### getFileIdentifier

    public String getFileIdentifier()

  Returns:
    fileIdentifier

### getSource

    public URI getSource()

  Returns:
    source

### getSourceId

    public int getSourceId()

  Returns:
    sourceId

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org